From f4ddd5d3e7583f693799bcc9256f0f9abc4ed400 Mon Sep 17 00:00:00 2001
From: Arti Zirk <arti.zirk@gmail.com>
Date: Fri, 23 Jan 2015 15:32:55 +0200
Subject: [PATCH] some bugfixes

---
 Makefile     | 2 +-
 src/client.c | 6 ++++--
 src/packet.h | 2 +-
 src/server.c | 4 ++--
 4 files changed, 8 insertions(+), 6 deletions(-)

diff --git a/Makefile b/Makefile
index 83b9bf2..466d46e 100644
--- a/Makefile
+++ b/Makefile
@@ -12,7 +12,7 @@ SERVER_OBJS = $(COMMON_OBJS) \
 CLIENT_OBJS = $(COMMON_OBJS) \
 	src/client.o
 
-CFLAGS = -I uinput -I src -g
+CFLAGS = -I src -g
 
 all: $(BINS)
 
diff --git a/src/client.c b/src/client.c
index 80398c6..fabe3c3 100644
--- a/src/client.c
+++ b/src/client.c
@@ -41,7 +41,7 @@
 #include <getopt.h>
 #include <signal.h>
 
-#include <input.h>
+#include <linux/input.h>
 #include "inputpipe.h"
 #include "packet.h"
 
@@ -396,14 +396,16 @@ static int evdev_send_event(struct evdev *self, struct server *svr)
 
   compute_grab(self, &ev);
 
-  if (grab_devices && !(ev.type == EV_KEY && ev.code == MAGIC_GRAB_KEY)) {
+  if (!(ev.type == EV_KEY && ev.code == MAGIC_GRAB_KEY)) {
 	  /* Translate and send this event. If it's an event we think should
 	   * only be sent from app to device, assume it's an echo from
 	   * a write and discard it.
 	   */
+	   
 	  hton_input_event(&ip_ev, &ev);
 	  if (is_output_event(&ev))
 		return 0;
+
 	  packet_socket_write(svr->socket, IPIPE_EVENT, sizeof(ip_ev), &ip_ev);
 
 	  /* Does this device support synchronization events?
diff --git a/src/packet.h b/src/packet.h
index 23edc61..7d538c1 100644
--- a/src/packet.h
+++ b/src/packet.h
@@ -26,7 +26,7 @@
 
 #include <stdio.h>
 
-#include <input.h>
+#include <linux/input.h>
 #include "inputpipe.h"
 
 struct packet_socket {
diff --git a/src/server.c b/src/server.c
index 7c3109d..6cf9d1c 100644
--- a/src/server.c
+++ b/src/server.c
@@ -37,8 +37,8 @@
 #include <sys/select.h>
 #include <linux/tcp.h>
 
-#include <input.h>
-#include <uinput.h>
+#include <linux/input.h>
+#include <linux/uinput.h>
 #include "inputpipe.h"
 #include "packet.h"
 
--
libgit2 0.21.0

